import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';

var Button = function Button(_ref) {
  var children = _ref.children,
      href = _ref.href,
      target = _ref.target,
      disabled = _ref.disabled,
      isSubmit = _ref.isSubmit,
      isButton = _ref.isButton,
      link = _ref.link,
      Link = _ref.linkFactory,
      attrs = _objectWithoutPropertiesLoose(_ref, ["children", "href", "target", "disabled", "isSubmit", "isButton", "link", "linkFactory"]);

  if (isSubmit) attrs.type = 'submit';
  if (isButton) attrs.type = 'button';
  return link ? React.createElement(Link, Object.assign({}, attrs, {
    href: href,
    target: target,
    rel: target === '_blank' ? 'noopener' : undefined
  }), children) : React.createElement("button", Object.assign({}, attrs, {
    disabled: disabled
  }), children);
};

Button.defaultProps = {
  // eslint-disable-next-line react/prop-types
  linkFactory: function linkFactory(_ref2) {
    if (_ref2 === void 0) {
      _ref2 = {};
    }

    var _ref3 = _ref2,
        children = _ref3.children,
        rest = _objectWithoutPropertiesLoose(_ref3, ["children"]);

    return React.createElement("a", rest, children);
  }
};
export default Button;